 

%define iconset          %{generic_name}-iconset-20040929

%define generic_name	sylpheed   
%define pre		1.9.14
%define oname		%{generic_name}-claws 
%define name            %{oname}2
%define version		%{pre}
%define version_name %{oname}-%{version} 
%define release		%mkrel 1
%define iconname	%{oname}.png
%define	Group		Networking/Mail
%define Summary		Enhanced version of the Sylpheed e-mail client
 

Summary:		%{Summary}
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source:			 http://prdownloads.sf.net/%{oname}-%{version}.tar.bz2
Source1:                http://prdownloads.sourceforge.net/sylpheed-claws/%{iconset}.tar.bz2   
License:		GPL
URL:			http://sylpheed-claws.sf.net/
Requires:		gtk+2
Group:			%{Group}
Buildroot:		%{_tmppath}/%{version_name}-%{release}-buildroot
BuildRequires:		faces-devel, libldap-devel
BuildRequires:		aspell-devel >= 0.50, aspell-dictionary  
BuildRequires:          libgdk_pixbuf2.0-devel >= 2.6.4, pilot-link-devel
BuildRequires:		ImageMagick
BuildRequires:		libltdl-devel
BuildRequires:          libncurses-devel
BuildRequires:          readline-devel
BuildRequires:          iptables-ipv6
BuildRequires:          multiarch-utils
BuildRequires:          libetpan-devel >= 0.38
BuildRequires:          libgnomeprintui-devel
Requires:		 common-licenses 
Requires:		  aspell-dictionary 	 
Conflicts:             sylpheed-main  
Conflicts:             %{oname} < %{version}
Conflicts:             %{generic_name}2
Obsoletes:           %{name}-tools
Provides:             %{name}-tools    
Obsoletes:           %{name}-image_viewer-plugin
Provides:            %{name}-image_viewer-plugin

## additinal feature which can be enabled at configure are jconv, and ipv6   

## jconv
## A general purpose Japanese code conversion tool.
## BuildRequires: jconv
## Requires: jconv

## ipv6
## IPv6 is the protocol designed by the IETF to replace the current version Internet Protocol
## BuildRequires: iptables-ipv6
## Requires: iptables-ipv6

%description
Sylpheed is an e-mail client (and news reader) based on GTK+2, running on
X Window System, and aiming for
 * Quick response
 * Graceful, and sophisticated interface
 * Easy configuration, intuitive operation
 * Abundant features
The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen, and almost all commands are
accessible with the keyboard.

The messages are managed by MH format, and you'll be able to use it together
with another mailer based on MH format (like Mew). You can also utilize
fetchmail or/and procmail, and external programs on receiving (like inc or
imget).

This is an improved version over the "bare" sylpheed package.  It has
some additional features, and also extends exisiting features.

Addtitional features include:
	o Scoring
	o Spell checking
	o Return receipts

Improved features include:
	o SMTP Auth
	o Filtering
	o MIME attachments
	o Integrated News reader
	o Automatic mail checking
	o Line-wrapping
	o XML-based addressbook
	o Newly arrived and unread message management
	o Printing
	o GnuPG support
	o address book supports JPilot, LDAP, LDIF, and vCard data files

For a complete listing of Features: http://sylpheed-claws.sf.net/features.html

%package -n %name-devel
Summary:    %{Summary}
Group:   Development/Other
Requires:  %{name} = %{version}
Conflicts:  %{oname}-devel < %{version}

%description -n %name-devel
Pkg contains the header files needed for developing with sylpheed-claws.

%package spamassassin-plugin
Summary: Spamassassin-plugin for %{name}
Group: %{Group}
Requires: %{name} = %{version}
Requires: spamassassin-spamd
BuildRequires: spamassassin-spamd >= 3.0.0
Conflicts: %{oname}-spamassassin-plugin < %{version}

%description spamassassin-plugin
This package uses the spamd SpamAssassin server to check for spam mail.
- See README for configuration and set-up info.

%package clamav-plugin
Summary: Clamav plugin for %name
Group: %Group 
Requires: %{name} = %{version}
Requires: clamav
BuildRequires: libclamav-devel
Conflicts: %{oname}-clamav-plugin

%description clamav-plugin
This plugin will scan incoming messages for viruses using 
Clam AntiVirus.
- See README for configuration and set-up info.

%package dillo_viewer-plugin
Summary: Dillo-plugin for %{name}
Group: %{Group}
Requires: %{name} = %{version}
Requires: dillo
BuildRequires: dillo
Conflicts: %{oname}-dillo_viewer-plugin
 
%description dillo_viewer-plugin
This plugin uses the Dillo browser to view text/html MIME parts inside
%name.
 
 
#%package mathml_viewer-plugin
#Summary: Gtkmathview plugin for %name
#Group: %{Group}
#Requires: %{name} = %{version}-%{release}
#Requires: gtkmathview
#BuildRequires: libgtkmathview-devel, gtkmathview

#%description mathml_viewer-plugin
#This plugin uses gtkmathview to render MathML within %name

%package trayicon-plugin
Summary: Notafication icon for %name
Group: %{Group}
Requires: %{name} = %{version}
Conflicts: %{oname}-trayicon-plugin < %{version}

%description trayicon-plugin
This plugin puts a little icon into the system tray
System trays known to work are Gnome2 and KDE 3.1.1.
-See README for additional info.

%package pgpcore-plugin
Summary: PGP core plugin for %name
Group: %{Group}
BuildRequires:  libgpgme-devel > 0.4.5
Requires: %{name} = %{version}
Conflicts: %{oname}-pgpcore-plugin < %{version}

%description pgpcore-plugin
This plugin handles PGP core operations. It is used by other
plugins, like the pgpmime plugin and pgpinline plugin.

%package pgpmime-plugin
Summary: PGP/MIME plugin for %name
Group: %{Group}
Requires: %{name} = %{version}
Requires: %{name}-pgpcore-plugin = %{version}
Conflicts: %{oname}-pgpmime-plugin < %{version}

%description pgpmime-plugin
This plugin handles PGP/MIME signed and/or encrypted 
mails. You can decrypt mails, verify signatures or
sign and encrypt your own mails.

%package pgpinline-plugin
Summary: PGP (inline) plugin for %name
Group: %{Group}
Requires: %{name} = %{version}
Requires: %{name}-pgpcore-plugin = %{version}
Conflicts: %{oname}-pgpinline-plugin < %{version}

%description pgpinline-plugin
This plugin enables signature verification of
digitally signed messages, and decryption of
encrypted messages.

%prep 
%setup -q -n %{oname}-%{version} -a1  

%build 
 
%configure2_5x --enable-aspell --enable-jpilot --enable-openssl --enable-ldap \
                         --enable-gpgme --enable-crash_dialog --enable-spamassassin-plugin \
                         --enable-dillo_viewer-plugin --disable-mathml_viewer-plugin  \
                         --enable-trayicon-plugin --enable-clamav-plugin

%make
 
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std  

# multiarch
%multiarch_includes %{buildroot}%{_includedir}/%{oname}/config.h
 
##iconsets/themes for claws  
mv  %{iconset} themes  
 
mv themes $RPM_BUILD_ROOT%_datadir/sylpheed-claws/themes
##fix perms
chmod 644 $RPM_BUILD_ROOT%_datadir/sylpheed-claws/themes/achileus-noname/*
chmod 644 $RPM_BUILD_ROOT%_datadir/sylpheed-claws/themes/blue_anarchy/*
chmod 644 $RPM_BUILD_ROOT%_datadir/sylpheed-claws/themes/Crystal/*
chmod 644 $RPM_BUILD_ROOT%_datadir/sylpheed-claws/themes/Gnomeria/*
chmod 644 $RPM_BUILD_ROOT%_datadir/sylpheed-claws/themes/mongrel/*
chmod 644 $RPM_BUILD_ROOT%_datadir/sylpheed-claws/themes/mongrel2/*
chmod 644 $RPM_BUILD_ROOT%_datadir/sylpheed-claws/themes/Phoenity/*
chmod 755 $RPM_BUILD_ROOT%_datadir/sylpheed-claws/themes/tml02c
chmod 644 $RPM_BUILD_ROOT%_datadir/sylpheed-claws/themes/tml02c/*.xpm
chmod 755 tools/*py tools/*.pl tools/*.rc tools/uudec

##remove duplicate man#
rm -rfd  $RPM_BUILD_ROOT/usr/share/man
## remove unneeded file
rm -rf $RPM_BUILD_ROOT/%{_datadir}/sylpheed-claws/themes/Crystal/.directory
rm -rf $RPM_BUILD_ROOT/%{_datadir}/sylpheed-claws/themes/tom_2.1/.xvpics 
rm -rf `find $RPM_BUILD_ROOT -name .sylpheed_themeinfo`
rm -rf tools/Makefile*
##rm file find missed
rm -rf $RPM_BUILD_ROOT%{_datadir}/sylpheed-claws/themes/Skypilot Clawssic/.sylpheed_themeinfo  
## remove devel files from plugin packages
rm -rf $RPM_BUILD_ROOT/%{_libdir}/%{oname}/plugins/*.la

##Create URPMI.readme
ln -s RELEASE_NOTES.claws README.urpmi

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert %{iconname} -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert %{iconname} -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert %{iconname} -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

cat > %{buildroot}%{_menudir}/%{oname} << EOF
?package(%{name}):\
	command="%{generic_name}" \
	icon="%{iconname}" \
	title="Sylpheed Claws" \
	longtitle="%{Summary}" \
	needs="x11" \
	section="Internet/Mail"
EOF

 
 
%find_lang %{oname}

%post
%{update_menus}
     
%postun
%{clean_menus}

%clean
rm -rf %{buildroot} 

%files -f %{oname}.lang
%defattr(-,root,root)
%doc ABOUT-NLS COPYING AUTHORS ChangeLog* NEWS README* INSTALL* TODO* RELEASE_NOTES.claws
%doc tools
%doc %dir %{_datadir}/%{oname}
%doc %dir %{_datadir}/%{oname}/manual
%doc %dir %{_datadir}/%{oname}/manual/*
%doc %dir %{_datadir}/%{oname}/faq
%doc %dir %{_datadir}/%{oname}/faq/*
%doc %{_datadir}/%{oname}/manual/*/*
%doc %{_datadir}/%{oname}/faq/*/*.html
%{_bindir}/%{generic_name} 
%{_datadir}/%{oname}/themes/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/sylpheed-claws.png
%dir %{_libdir}/%{oname}
%dir %{_libdir}/%{oname}/plugins
%{_menudir}/%{oname}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%files -n %name-devel
%defattr(-,root,root)
%{_includedir}/%{oname}
%{_libdir}/%{oname}/plugins/*.a 
%{_libdir}/pkgconfig/sylpheed-claws.pc
%multiarch %{multiarch_includedir}/%{oname}/config.h


%files spamassassin-plugin
%defattr(-,root,root)
%doc src/plugins/spamassassin/README
%{_libdir}/%{oname}/plugins/spamassassin*.so                                       
%{_libdir}/%{oname}/plugins/spamassassin_gtk.deps

%files clamav-plugin
%defattr(-,root,root)
%doc src/plugins/clamav/README
%{_libdir}/%{oname}/plugins/clamav*.so
%{_libdir}/%{oname}/plugins/clamav_plugin_gtk.deps

%files dillo_viewer-plugin
%defattr(-,root,root)
%doc src/plugins/clamav/README
%{_libdir}/%{oname}/plugins/dillo*.so 
 
#files mathml_viewer-plugin
#defattr(-,root,root)
#{_libdir}/%{oname}/plugins/mathml_viewer.so

%files trayicon-plugin
%defattr(-,root,root)
%doc src/plugins/trayicon/README
%{_libdir}/%{oname}/plugins/trayicon.so

%files pgpcore-plugin
%defattr(-,root,root)
%{_libdir}/%{oname}/plugins/pgpcore.so

%files pgpmime-plugin
%defattr(-,root,root)
%{_libdir}/%{oname}/plugins/pgpmime.so
%{_libdir}/%{oname}/plugins/pgpmime.deps 

%files pgpinline-plugin
%defattr(-,root,root)
%{_libdir}/%{oname}/plugins/pgpinline.so
%{_libdir}/%{oname}/plugins/pgpinline.deps


%changelog
* Mon Sep 05 2005 Marcel Pol <mpol@mandriva.org> 1.9.14-1mdk
- 1.9.14

* Fri Sep 02 2005 Marcel Pol <mpol@mandriva.org> 1.9.13-3mdk
- rebuild without glitz

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.9.13-2mdk
- rebuilt against new openldap-2.3.6 libs

* Thu Jul 28 2005 Marcel Pol <mpol@mandriva.org> 1.9.13-1mdk
- 1.9.13
- %%mkrel
- requires gpgme > 0.4.5
- buildrequires libetpan-devel >= 0.38
- buildrequires libgnomeprintui-devel
- obsolete/provide image_viewer-plugin, built-in now
- add pgpinline and pgpcore plugins
- requires on version only
- remove devel files from plugin packages

* Fri Mar 18 2005 Charles A Edwards <eslrahc@mandrake.org> 1.9.6-1mdk
- initial pkg

 
